Bug 210636 - devel/py-setuptools: Update to 23.1.0 (and exp-run)
Summary: devel/py-setuptools: Update to 23.1.0 (and exp-run)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL: https://github.com/pypa/setuptools/bl...
Keywords: needs-qa, patch, patch-ready
Depends on:
Blocks:
 
Reported: 2016-06-27 18:54 UTC by VK
Modified: 2016-07-03 04:08 UTC (History)
3 users (show)

See Also:
vlad-fbsd: maintainer-feedback? (python)


Attachments
Update py-setuptools to 23.1.0 (943 bytes, patch)
2016-06-27 18:54 UTC, VK
vlad-fbsd: maintainer-approval? (python)
Details | Diff
Patch for databases/py-sqlite3 with setuptools-23 (775 bytes, patch)
2016-06-29 06:35 UTC, Wen Heping
vlad-fbsd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VK freebsd_triage 2016-06-27 18:54:58 UTC
Created attachment 171881 [details]
Update py-setuptools to 23.1.0

py-setuptools is critical for installing python ports, so please exp-run this update.

Portlint OK
Poudriere 10.3-p5 amd64 OK for
  + py-setuptools
  + py-setuptools35
  + py-setuptools34
  + py-setuptools33
  + py-setuptools27
Comment 1 Antoine Brodin freebsd_committer 2016-06-27 19:21:33 UTC
databases/py-sqlite3 (and maybe others?) fails to build after this update, this is a showstopper
Comment 2 Kubilay Kocak freebsd_committer freebsd_triage 2016-06-28 15:02:45 UTC
This is a port change, thus 'individual port', with exp-run ? set so portmgr can see what's needed.
Comment 3 Kubilay Kocak freebsd_committer freebsd_triage 2016-06-28 15:03:50 UTC
(In reply to Antoine Brodin from comment #1)

Can you attach logs please
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2016-06-28 15:05:54 UTC
@Vlad, 

Confirmation that the test suite (make test) passes would also be helpful (you'll need to install py-pytest and py-mock)

The ports do-test: line can be updated to test: while you're there
Comment 5 Wen Heping freebsd_committer 2016-06-29 06:35:46 UTC
Created attachment 171936 [details]
Patch for databases/py-sqlite3 with setuptools-23

With this patch, databases/py-sqlite3 build.
wen
Comment 6 Wen Heping freebsd_committer 2016-06-29 07:08:36 UTC
I have filed another PR/210685 which inlucde the update of
lang/python and devel/py-setuptools.

Krstulja, can I close this PR ?

wen
Comment 7 Kubilay Kocak freebsd_committer freebsd_triage 2016-06-29 07:52:05 UTC
(In reply to Wen Heping from comment #6)

I'd prefer to keep the updates separate (one for python, the other for setuptools)
Comment 8 Kubilay Kocak freebsd_committer freebsd_triage 2016-06-29 07:53:17 UTC
@Wen: Also, did the change to sqlite3 come from upstream and is it a known issue?
Comment 9 Wen Heping freebsd_committer 2016-06-29 07:56:41 UTC
(In reply to Kubilay Kocak from comment #8)
Patch for py-sqlite3 is not from upstream but from me.

wen
Comment 10 VK freebsd_triage 2016-06-29 08:37:15 UTC
(In reply to Wen Heping from comment #6)

As far as I'm concerned yes, I'm not a committer so it's your hands now, guys. ;) Though I do agree with Koobs, it'd be best if the issues were separate, it's easier to track and document the change that way.

Koobs, the output of the unit tests for py27 is:

* 146 passed, 11 skipped, 1 xfailed, 2 xpassed in 4.19 seconds

Unfortunately I don't know how to make it more verbose and have it say which assert failed (though it was all in test_sdist.py), I tried running directly on setup.py with -v but that didn't help...

Tests for py34, py35 coming up, I have to set up clean envs for those first.
Comment 11 commit-hook freebsd_committer 2016-07-03 00:18:16 UTC
A commit references this bug:

Author: wen
Date: Sun Jul  3 00:17:30 UTC 2016
New revision: 417946
URL: https://svnweb.freebsd.org/changeset/ports/417946

Log:
  - Update to devel/py-setuptools to 23.1.0 [1][2]

  PR:		210636 [1]
  		210685 [2]
  Submitted by:	vlad-fbsd@acheronmedia.com [1]
  		wen@ [2]
  Exp-run by:	antoine
  Differential Revision:	https://reviews.freebsd.org/D6994

Changes:
  head/databases/py-bsddb/files/setup.py
  head/databases/py-sqlite3/files/setup.py
  head/databases/py-sqlite3/files/setup3.py
  head/devel/py-setuptools/Makefile
  head/devel/py-setuptools/distinfo
Comment 12 Kubilay Kocak freebsd_committer freebsd_triage 2016-07-03 04:08:07 UTC
Assign to committer that resolved